summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDamien Miller <djm@cvs.openbsd.org>2008-06-28 13:57:26 +0000
committerDamien Miller <djm@cvs.openbsd.org>2008-06-28 13:57:26 +0000
commit4211ec31d0c8e690958ca4b0fc1f47cf2ad6d283 (patch)
tree0d763cb2e210475a1b642ccb2c2f8d9b8009a6d5
parentdf8bde6eb27a5c1ec421df9f0bad9aa15ae638c8 (diff)
very basic regress test against Twisted Conch in "make interop"
target (conch is available in ports/devel/py-twisted/conch); ok markus@
-rw-r--r--regress/usr.bin/ssh/Makefile4
-rw-r--r--regress/usr.bin/ssh/conch-ciphers.sh30
-rw-r--r--regress/usr.bin/ssh/test-exec.sh12
3 files changed, 43 insertions, 3 deletions
diff --git a/regress/usr.bin/ssh/Makefile b/regress/usr.bin/ssh/Makefile
index c160813eec1..3ade8c907f7 100644
--- a/regress/usr.bin/ssh/Makefile
+++ b/regress/usr.bin/ssh/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.47 2008/06/11 23:11:40 dtucker Exp $
+# $OpenBSD: Makefile,v 1.48 2008/06/28 13:57:25 djm Exp $
REGRESS_TARGETS= t1 t2 t3 t4 t5 t6 t7
@@ -44,7 +44,7 @@ LTESTS= connect \
localcommand \
forcecommand
-INTEROP_TESTS= putty-transfer putty-ciphers putty-kex
+INTEROP_TESTS= putty-transfer putty-ciphers putty-kex conch-ciphers
#INTEROP_TESTS+=ssh-com ssh-com-client ssh-com-keygen ssh-com-sftp
diff --git a/regress/usr.bin/ssh/conch-ciphers.sh b/regress/usr.bin/ssh/conch-ciphers.sh
new file mode 100644
index 00000000000..c371d30304a
--- /dev/null
+++ b/regress/usr.bin/ssh/conch-ciphers.sh
@@ -0,0 +1,30 @@
+# $OpenBSD: conch-ciphers.sh,v 1.1 2008/06/28 13:57:25 djm Exp $
+# Placed in the Public Domain.
+
+tid="conch ciphers"
+
+DATA=/bin/ls
+COPY=${OBJ}/copy
+
+set -e
+
+if test "x$REGRESS_INTEROP_CONCH" != "xyes" ; then
+ fatal "conch interop tests not enabled"
+fi
+
+start_sshd
+
+for c in aes256-ctr aes256-cbc aes192-ctr aes192-cbc aes128-ctr aes128-cbc \
+ cast128-cbc blowfish 3des-cbc ; do
+ verbose "$tid: cipher $c"
+ rm -f ${COPY}
+ ${CONCH} --identity $OBJ/rsa --port $PORT --user $USER \
+ --known-hosts $OBJ/known_hosts \
+ 127.0.0.1 cat ${DATA} > ${COPY} 2>/dev/null
+ if [ $? -ne 0 ]; then
+ fail "ssh cat $DATA failed"
+ fi
+ cmp ${DATA} ${COPY} || fail "corrupted copy"
+done
+rm -f ${COPY}
+
diff --git a/regress/usr.bin/ssh/test-exec.sh b/regress/usr.bin/ssh/test-exec.sh
index 29ad4392ab2..94a702eca85 100644
--- a/regress/usr.bin/ssh/test-exec.sh
+++ b/regress/usr.bin/ssh/test-exec.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: test-exec.sh,v 1.34 2008/06/10 15:28:49 dtucker Exp $
+# $OpenBSD: test-exec.sh,v 1.35 2008/06/28 13:57:25 djm Exp $
# Placed in the Public Domain.
USER=`id -un`
@@ -52,6 +52,7 @@ SCP=scp
# Interop testing
PLINK=/usr/local/bin/plink
PUTTYGEN=/usr/local/bin/puttygen
+CONCH=/usr/local/bin/conch
if [ "x$TEST_SSH_SSH" != "x" ]; then
SSH="${TEST_SSH_SSH}"
@@ -86,6 +87,9 @@ fi
if [ "x$TEST_SSH_PUTTYGEN" != "x" ]; then
PUTTYGEN="${TEST_SSH_PUTTYGEN}"
fi
+if [ "x$TEST_SSH_CONCH" != "x" ]; then
+ CONCH="${TEST_SSH_CONCH}"
+fi
# Path to sshd must be absolute for rexec
if [ ! -x /$SSHD ]; then
@@ -232,6 +236,12 @@ for t in rsa rsa1; do
done
chmod 644 $OBJ/authorized_keys_$USER
+# Activate Twisted Conch tests if the binary is present
+REGRESS_INTEROP_CONCH=no
+if test -x "$CONCH" ; then
+ REGRESS_INTEROP_CONCH=yes
+fi
+
# If PuTTY is present and we are running a PuTTY test, prepare keys and
# configuration
REGRESS_INTEROP_PUTTY=no